Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-2320

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2008-2320
Last Modified 04 Aug 2011 12:00:00
Published 03 Aug 2008 09:41:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-2320

Summary

Stack-based buffer overflow in CarbonCore in Apple Mac OS X 10.4.11 and 10.5.4, iPhone OS 1.0 through 2.2.1, and iPhone OS for iPod touch 1.1 through 2.2.1 allows context-dependent attackers to execute arbitrary code or cause a denial of service (application crash) via a long filename to the file management API.

Vulnerable Systems

Application

  • Apple Carboncore


References

VUPEN - ADV-2009-1621

VUPEN - ADV-2009-1522

BID - 30487

BID - 30483

CONFIRM - http://support.apple.com/kb/HT3639

CONFIRM - http://support.apple.com/kb/HT3613

APPLE - APPLE-SA-2009-06-17-1

APPLE - APPLE-SA-2009-06-08-1

APPLE - APPLE-SA-2008-07-31

XF - macosx-carboncore-bo(44126)

VUPEN - ADV-2008-2268

SECTRACK - 1020602

BUGTRAQ - 20080801 n.runs-SA-2008.005 - Apple Inc. - CoreServices Framework√Ę??s CarbonCore Framework - Arbitrary Code Execution (remote)

SECUNIA - 35379

SECUNIA - 31326

BUGTRAQ - 20080801 n.runs-SA-2008.005 - Apple Inc. - CoreServices Frameworkâ??s CarbonCore Framework - Arbitrary Code Execution (remote)

Related Patches

Apple 2008-07-31 Security Update 2008-005 (PPC)

Apple 2008-07-31 Security Update 2008-005 Server (PPC)

Apple 2008-07-31 Security Update 2008-005 (Leopard)

Apple 2008-07-31 Security Update 2008-005 (Intel)

Apple 2008-07-31 Security Update 2008-005 Server (Intel)

Apple 2009-06-08 Safari Update 4.0.1 (Leopard)

Apple 2009-06-08 Safari Update 4 (Tiger)


Last Updated: 27 May 2016 10:47:28